Installing and upgrading help

Facing problems to access courses after upgrade from moodle 3.1 to 3.5

 
Picture of Ashwini Borole
Facing problems to access courses after upgrade from moodle 3.1 to 3.5
 

Hi,

I have upgraded the existing moodle 3.1 to moodle 3.5.

After upgrading, While accessing few courses, I am getting error.

Below is debug info:

Exception - Class '\availability_badge\condition' not found

More information about this error

Debug info:
Error code: generalexceptionmessage
Stack trace:
  • line 772 of /availability/classes/info.php: Error thrown
  • line 538 of /course/renderer.php: call to core_availability\info::completion_value_used()
  • line 943 of /course/renderer.php: call to core_course_renderer->course_section_cm_completion()
  • line 845 of /course/renderer.php: call to core_course_renderer->course_section_cm()
  • line 1038 of /course/renderer.php: call to core_course_renderer->course_section_cm_list_item()
  • line 888 of /course/format/renderer.php: call to core_course_renderer->course_section_cm_list()
  • line 57 of /course/format/topics/format.php: call to format_section_renderer_base->print_multiple_section_page()
  • line 280 of /course/view.php: call to require()


Also while adding new activity to any course, I am getting below mentioned error.

Exception - Class '\availability_badge\frontend' not found

More information about this error

Debug info:
Error code: generalexceptionmessage
Stack trace:
  • line 120 of /availability/classes/frontend.php: Error thrown
  • line 637 of /course/moodleform_mod.php: call to core_availability\frontend::include_all_javascript()
  • line 129 of /mod/feedback/mod_form.php: call to moodleform_mod->standard_coursemodule_elements()
  • line 204 of /lib/formslib.php: call to mod_feedback_mod_form->definition()
  • line 99 of /course/moodleform_mod.php: call to moodleform->__construct()
  • line 141 of /course/modedit.php: call to moodleform_mod->__construct()


Can anyone please guide me on how to resolve the above errors?

Thanks in advance,

Ashwini.

 
Average of ratings: -
Picture of Howard Miller
Re: Facing problems to access courses after upgrade from moodle 3.1 to 3.5
Core developersDocumentation writersParticularly helpful MoodlersPlugin developers

Did you forget to include an optional plugin when you upgraded? I'm guessing maybe this one...

https://moodle.org/plugins/availability_badge

See Site administration > Plugins > Plugins overview. Any "missing plugins" will be highlighted in red.

 
Average of ratings: -